
local mod = "aom_gates"
local function alias(name)
    minetest.register_alias(mod..":"..name, "aom_machines:"..name)
end

mod = "aom_gates"
alias("drawbridge")
alias("drawbridge_open")
alias("controller")
alias("controller_stone")

mod = "aom_wire"
alias("wirecutters")
alias("gear_lever")
alias("gear_lever_pushed")
alias("button")
alias("button_pushed")

minetest.register_alias("aom_gates:iron", "aom_machines:iron_gate")
minetest.register_alias("aom_gates:iron_open", "aom_machines:iron_gate_open")
